{ config
, lib
, pkgs
, ...
}: {
  services.pipewire = {
    enable = true;
    # systemWide = true;
    audio.enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    jack.enable = true;

    wireplumber.enable = true;
  };

  ## audio
  # sound.enable = true;
  hardware.bluetooth.enable = true;

  ## fix cava
  services.pipewire.wireplumber.extraConfig."11-bluetooth-policy" = {
    "wireplumber.settings" = {
      "bluetooth.autoswitch-to-headset-profile" = false;
    };
  };

  environment.systemPackages = with pkgs; [
    kdePackages.kpipewire # TODO Check if needed
  ];
}
